3.8.1	ニコニコ動画のコメントXMLに暫定対応した。
3.8		公式サーバのAPIスキーマを変えた。
		商品紹介をディフォルトでONにした。
		3週間以上経った商品紹介は表示しないようにした。
		BBSとバルーンで pixiv や UserAgent が必要なサイトに対応した。
		BBSとバルーンでサムネイル画像を削除するときのエラー処理を追加した。
		BBSとバルーンで画像ダウンロードのタイムアウトではサーバを無視しないようにした。
3.7.9	強調コメントの表示時間を普通にした。
		掲示板とバルーンでは twitpic.com の画像URLをサムネイル表示するようにした。
3.7.8	Twitter の JSON にちゃんと対応した。
		自分関係コメは画面がいっぱいでも表示するようにした。
3.7.7	オーバーレイモードでも自己レスと自分宛レスを区別できるようにした（表示時間も長め）。
		Twitter Streaming API が XML をサポートしなくなったので、JSON に対応した。
		掲示板モードとバルーンの画像ポップアップを右クリックで消せるようにした。
		IDのNGエントリは一日で消すようにした。
3.7.6	画像の保存で板分類とスレ分類を設定できるようにした。
		類似スレ検索アルゴリズムを改善した。
		BBSとバルーンでサムネイル画像の縦サイズを120pxにした。
		GIF画像でGDI+がおかしくなるので、ビューアで表示しないようにした。
3.7.5	ダウンロード完了時に処理するパラメタが間違っていたバグを直した。
		実況の終了時にダウンロードをキャンセルしすぎてたバグを直した。
		実況の開始時にダウンロードホストのダウン記録情報をクリアするようにした。
3.7.4	実況終了時のダウンロードキャンセルでエラーが出るバグを直した。
3.7.3	実況の終了時にダウンロードをキャンセルするようにした。
		実況ウインドウのタイトルに Nicort を含むようにした。
3.7.2	オーバーレイでURL画像が表示されないバグを直した。
		全てのモードの画像ダウンロードで、共通の高速アルゴリズムを使用するようにした。
		BBSとバルーンで、保存済み画像を読み込んだときメモリを多量に消費する不具合を直した。
		BBSとバルーンのイメージポップアップでも保存済み画像を再使用するようにした。
3.7.1	オーバーレイモードでも保存済み画像を再使用するようにした。
		BBSとバルーンで、保存済み画像はキューせずに直接処理するようにした。
3.7		オーバーレイモードでダブルバッファリングを設定できるようにした。
		オーバーレイモードでの、コメントが表示され始める瞬間のコマ落ちを軽減した。
		バルーンもカラフルにできるようにした。
		カラフルモードで、似たような色が連続しないようにした。
		URL画像のフォルダ日付は朝4時半を境界にした。
		URL画像を板名とスレで分けて保存するようにした。
		URL画像の保存で日付分類をしない設定も追加した。
		保存済みURL画像ファイルがあれば、キャッシュとして再利用するようにした。
		URL画像のホップアップで、保存ファイルがあれば使用するようにした。
		BBSとバルーンで、画像ダウンロードにキューを導入した。
		BBSとバルーンで、同一のホストに大量接続しないようにした。
		BBSとバルーンで、接続できないホストへそれ以上接続しないようにした。
		BBSとバルーンで、画像のダウンロード状態を境界色として反映するようにした。
		BBSとバルーンで、6時間以上離れているレスの日付は出すようにした。
		DAT再生でレス範囲を指定できるようにした。
		DATファイルをダイアログで追加すると、設定ファイルや画像の保存に失敗するバグを直した。
		DATからスレタイトルを抽出するときにHTMLデコードしていなかったバグを直した。
3.6.4	連投規制などで書き込みが失敗した後、書き込み内容を修正した場合に、修正が反映されないバグを直した。
		DATファイルをD&Dできるようにした。
		DAT再生中は操作ウインドウを消すようにした。
		追加したDATファイルをDelキーで消せるようにした。
		DATファイルを指定しないで開始すると異常終了するバグを直した。
		類似スレ検索などでの文字列等価性検査で、濁音、半濁音、拗音を清音とみなすようにした。
3.6.3	DAT再生機能を搭載した。
		スレ一覧画面に商品紹介履歴を表示するようにした（機能ON時のみ）。
3.6.2	商品検索ウインドウが操作できなくなるバグを修正した。
3.6.1	Amazon商品紹介機能を搭載した。
		オーバーレイモードで、マウスが離れたときにコントロールアイコンを消す機能を付けた。
3.6		@pagesへの問い合わせが遅いので対策した。
		遅延時間推定アルゴリズムを単純なものに変更した。
		遅延時間の手動設定の最小設定を 0 にした。
		コメントの生成時刻を間違って-9してネットワークに流していたバグを修正した。
3.5.8	Twitterとの通信でエラー制御が仕様に則っていなかった不具合を修正した。
		アク禁回避のため、Twitterに対して複数のコネクションを接続できないようにした。
3.5.7	バルーンがスレタイ処理ミスでクラッシュするバグを直した。
3.5.6	フィルタキーワードにand/or/-/!の構文を入れた。
		フィルタに板が引っかからない場合は全部表示するようにした。
		Twitterハッシュタグを複数指定できるようにした。follow, locaitons も作用するようにした。
		Twitterハッシュタグのコピペメモを付けた。
		バルーンの表示時間を60分まで伸ばせるようにした。
		バルーンがちょくちょく前面に出てこないようにしたつもり。
		掲示板とバルーンのID部のmonospace指定をやめた。
		コマンドラインで /list オプションに対応した。
		コマンドラインに板のURLが渡されたときは勢いベースで実況開始するようにした。
3.5.5	NGFiles.txt のパースで * の扱いを間違えていたバグを修正した。
3.5.4	バルーンの境界色・背景色・新着色を変更できるようにした。
		バルーンの前面表示設定を保存するようにした。
		バルーンのトレイアイコンをクリックしたときフォアグラウンドになるようにした。
		バルーンが掲示板の設定に依存していた不具合を直した。
		バルーンからURL画像の表示ON/OFFを設定できるようにした。
		バルーンのフォント設定をコンテキストメニューから行うようにした。
		バルーンと掲示板で、画像のロードタイミングによっては異常終了する不具合に対策した。
		バルーンでは横スクロールバーを表示しないようにした。
		設定ファイルが読み込めない場合にエラーダイアログを出すようにした。
3.5.3	Pentium4 などの SMT-CPU でCPUを占有してしまう不具合を直した。
		バルーンを非前面にもできるようにした。
		バルーンが消えなくなるバグを直した。
3.5.2	コマンドラインでのURL指定に対応した。
		バルーンに設定ボタンを付けた。
		TwitterへのアクセスにHTTPSを使えるようにした。
		「ここにいます」の吹き出しがクリックされたら、以降メッセージが出ないようにした。
		DATのスレタイトルを活用するようにした。
3.5.1	live-racing.net に対応した。
		バルーンにサイレントモードを導入した。
		Twitterの検索キーワードを保存するようにした。
		設定画面を「適用」で閉じると、ツールバーの設定変更が効かなくなっていたバグを修正した。
		http://host/cgi?file=image.jpg の形式のURL画像が保存できなかった不具合を直した。
3.5		TwitterのOAuth認証に対応した。
		サービスプロバイダごとに切り替えるようにした。
		バルーンの表示でフォーカスを奪わないようにした。
		イメージポップアップがフォーカスを奪わないようにした。
		バルーンでコンテンツの再描画がおかしくなる不具合に対策した。
		バルーンの下側にもスレ名を表示するようにした。
		イメージポップアップはクリックで消えないようにした。
		掲示板とバルーンのクリックでイメージポップアップを消すようにした。
		掲示板とバルーンで、引用レスがAAでなければ折り返すようにした。
		掲示板とバルーンで、引用レスのフォントはやっぱりちょっと小さくするようにした。
		掲示板とバルーンでURLをリンクするようにした。
3.4.5	イメージポップアップの表示位置をマウスから離した。
		掲示板モードではダウンロード中の画像数を表示するようにした。
		掲示板とバルーンで連続する画像は１行にまとめるようにした。
3.4.4	オーバーレイモードで>>1から出力されてしまっていたバグを直した。
3.4.3	バルーンをトレイアイコンから表示したときはスクロールを戻さないようにした。
		イメージポップアップの出方によってはエラーが発生していたバグを直した。
3.4.2	バルーンを表示するモニタを選択できるようにした。
		掲示板とバルーンで、画像にマウスカーソルが重なったときに画像をポップアップするようにした。
		掲示板とバルーンで、初期スレッドだけは>>1から全て表示するようにした。
		掲示板とバルーンではサムネイル画像をテンポラリに作ってロードするようにした（メモリ対策）。
		掲示板とバルーンでNGファイルデータベースを利用するようにした（ただしホップアップは一部未対応）。
		BBSPINKに対応した。
3.4.1	バルーンモードで新着レスを強調するようにした。
		掲示板とバルーンのレイアウトを改善した。
		・行間を詰めた。
		・画像をクリックしたらブラウザを開くようにした。
		・コメントヘッダを簡素化した。
		・引用レスの色をより黒くした。
		・引用レスのサイズを本文と同等にした。
		・引用マーカを不等号から境界線に変えた。
		バルーンの閉じるボタンを右ダブルクリックで閉じるようにした。
		バルーンの中にマウスがあるときは消さないようにした。
		バルーンモードでシンプルの設定を保存するようにした。
		バルーンを閉じたときトレイアイコンが残ってしまうバグを直した。
		オーバーレイモードで連続したURL画像の表示がスキップされていたバグを修正した。
3.4		バルーンモードのUIを掲示板と共通化し、改善した。
		・書き込みできるようにした。（自分レス、参照レスの強調表示対応）
		・アンカーでのポップアップ表示対応
		・シンプルなスタイルの搭載
		・閉じるボタンではウインドウを非表示にするように
		・タスクトレイアイコンから位置を設定できるように
		・タスクトレイアイコンから実況を終了するように
		掲示板モードでのスクロール速度を速くした。（バルーンモードと共通）
		オーバーレイモードではURLを消すようにした。
		オーバーレイモードのAAの描画を白縁に黒文字でも行えるようにした。
		イメージビューアの背景を透過するようにした。
		http://twitter.com/#search?q=%23<hashtag> 形式のURLに対応した。
3.3		オーバーレイモードで独立したウインドウに画像を表示できるようにした。
		BBSウインドウの背景を透過する実験的機能を実装した。
		BBSウインドウの全面表示設定を覚えるようにした。
		オーバーレイウインドウでの画像とAAの１計算タイミングのバグを直した。
		ウインドウコンポジションの状態を実行中に反映するようにした。
		AAのフォントレイアウトをより互換性の高いモードにした。
3.2.1	AAがずれる不具合を修正した。（DirectX使用時のみ。GDIモードでは仕様。）
		AAの背景マットの有効無効と不透明度を設定できるようにした。
3.2		AAの描画色／背景色を反転した。
		AAの背景に薄くマットを描画するようにした。
		AAの表示処理を高速化した。
		AAの表示位置を変更できるようにした。
		遅延時間を固定できるようにした。
		入力パケットに対するメモリリークを直した。
		ワーカースレッドがリークしていたバグを直した。
3.1.10	オーバーレイウインドウに18ptを追加した。
		はやぶさ鯖移行の緊急対応を外した。
		正規表現とワイルドカードの処理が逆になっていたバグを修正した。
		nicort.jp ドメインのサービスを開始した。
		P2Pノードのサーバとして nicort.jp と @pages を併用するようにした。
3.1.9	hayabusa.2ch.net への移転に緊急対応した。
3.1.8	非常に大人数が参加する勢いの速い実況で遅延時間が安定しない不具合に対策した。
		スレ自動移行が無効化されているときのステータスメッセージを正しくした。
		エラー表示を5秒で消すようにした。
3.1.7	はやぶさハッシュタグを追加した。
		NGFiles.Default.txt を更新した。
3.1.6	DirectX による高速描画設定を薦めるようにした。
		モニターリフレッシュ同期設定を薦めるようにした。（マルチコア環境のみ）
		Twitterアカウントの設定はリロードしなくても効くようにした。
3.1.5	半透明状態でないバブルスタイルでコメントが消えないバグを修正した。
		Twitter で lang 属性が ja のツイートのみ表示するようにした。
		Twitter スレにワールドカップハッシュタグ(#wc2010)を追加した。
3.1.4	スレ取得時のリクエストパラメタのミスを修正した。
3.1.3	高性能マシン用にモニターリフレッシュと同期する描画モードを実装した。
		記録したDATの改行がCRLFだったバグを修正した。
		差分取得のとき、LFを照合するようにした。
3.1.2	2010年5月31日付のサーバ移転応急処置を戻した。
		試験的に掲示板モードで録コメ機能を搭載してみた。
		Twitterのコメントではハッシュタグを消すようにした。
		Twitter対応タグを拡充した。
3.1.1	2010年5月31日付の実況サーバの移転に応急処置で対応した。
3.1		公式ガイドを http://www26.atwiki.jp/nicort/ に公開した。
		板一覧のディフォルトを「番組ch BS実況 ラジオ実況 twitter」にした（更新時にリセット）。
		NGFiles.txt によるNG画像ファイル検知に対応した（オーバーレイ実況モードのみ）。
		スレ一覧のフィルタキーワードを20件まで履歴として残すようにした。
		書き込みウインドウで連投規制の待機残り時間を表示するようにした。
		jikkyo.org に対応した。
		スレ移行処理でブリンクしないようにした。
		URL画像のロード済み判定はアプリ全体で保持するようにした。
3.0.3	スレ一覧の複数のフィルタキーワードはAND条件となるようにした。
		スレ一覧でフィルタキーワードが指定されていれば、自動スレ移行の基準はキーワードと勢いにした。
		スレの移行処理中を分かるようにした。（開発向け）
		タイトルベースの自動スレ移行のベースアルゴリズムを3.0.1相当に戻した（厳密に同一ではない）。
3.0.2	類似スレ名の判定アルゴリズムを厳格にした。（sageスレやまたーりスレの混同対策）
		「滑らか機能」が分かりにくいので「コマ落ち対策」にした。
		スレ一覧の取得失敗で追尾スレッドが落ちるバグを修正した。
		BBSウインドウで、引用アンカーをPREタグで展開するようにした。
		BBSウインドウで、AAに対する引用アンカーの場合、フォントをMSゴにするようにした。
		SSTPで接続に手間取るとウインドウの応答がなくなる不具合を修正した。
3.0.1	同じコメントが重複して表示されないようにした。
		モニタスレの状況では候補も表示するようにした。
		スレの追従機能のモデルを改善した。
		HTTPの差分読み込みでのエラー処理を少し改善した。
		P2P無効化に対応した。
		Webサーバの連続タイムアウトエラーが消えないバグを修正した。
		1001レス到達時にノードが一斉に無反応になる不具合を修正した。
		BBSウインドウでP2P由来のコメントが区別できるようにした。
		BBSウインドウでSSTP (Sakura Script Transfer Protocol) に対応した。
		アイコンが無くなっていたバグを修正した。
		書き込みウインドウの縮小設定が記憶されないバグを修正した。
3.0		Twitterのテレビ実況ハッシュタグに対応した（ただし実験機能として）。投稿は未実装。
		>>N-M 書式で M<N のときエラーになるバグを修正した。
		書き込みウインドウのエラー処理を改善した。
		初期遅延時間を15秒にした。
		オーバーレイウインドウでフォントサイズが即時に変更されないバグを修正した。
2.29.3	特定の状態でBBSウインドウが落ちるバグを修正した。
		ttp:// や tp:// のURL画像を読み込まないバグを修正した。
2.29.2	同じコメントが２回表示されるバグを修正した。
2.29.1	境界線が描画されるときは遅延時間とモニタスレを表示するようにした。
		通信の警告を表示するようにした。
		ネットワークトラフィックを抑えるようにした。
		1001コメントの解析に失敗するバグを修正した。
		キャッシュ不整合のため、2.29.1以前のノードからのP2P転送コメントは捨てるようにした。
2.29	BBSウインドウで自分のコメントを参照しているコメントを強調するようにした。
		BBSウインドウで自分のコメントを強調するようにした。
		BBSウインドウに書き込みフォームを追加した。
		BBSウインドウの縮小機能を無効化できるようにした。
		書き込みウインドウのフォントをMSPゴ12ptにした。
		コメントの投稿を非同期で行うようにした。
		コメント投稿時にウインドウを無効化するようにした。
		全レス受信とスレ表示と遅延時間表示をメニューから切り替えられるようにした。
		1001到達時のスレ切り替え処理の開始を早くした。
2.28.2	類似レスの縮小機能が動作していないバグを修正した。
		1000レス到達スレをいつまでもモニタし続けるバグを修正した。
		全レス受信時に遅延時間が不要に長くなる問題に対処した。
		遅延時間を文字で表示するようにした。
		取得中のスレを表示しなくなっていたバグを修正した。
2.28.1	コメントオブジェクトがリークしているバグを修正した。
2.28	DirectXを使用して高速に描画するモードを実装した。
		AA表示設定をコントロールメニューに追加した。
		FPSを制限しないモードを作った。
		GDI描画モード（従来モード）も若干チューニングした。
2.27.2	AAの解析に失敗してP2P接続が切断されることがあるバグを修正した。
2.27.1	アイコンリソースがメモリを消費していたバグを修正した。
		現在モニタ中のスレ名を複数表示するようにした。
		「P2P全レス表示」がONのときはスレ名に追加でメッセージを出すようにした。
		AAの解析ルーチンをチューニングして計算量とメモリアロケーションを減らした。
		画像URL解析処理が非効率だったバグを修正した。
2.27	Windows 7 用にチューニングを行った。
		多重起動の許可を設定できるようにした。
		多重起動時に既存インスタンスをアクティブにして終了できるようにした。
		非Aero環境における性能低下を考慮した描画アルゴリズムに変更した。
		64bit環境でエラーが起こる障害に対応した。（32bitプロセスとして動作する。）
		自動更新用のプログラムは実行時に管理者権限を要求するようにした。
2.26.1	オーバーレイウインドウの画像表示位置の設定が保存できないバグを修正した。
2.26	NGワード機能を搭載した。
		メインウインドウのスクロールバーをダブルクリックで落ちるバグを修正した。
		BBSウインドウで引用アンカーを展開するようにした。
		BBSウインドウでメール情報も表示するようにした。
		BBSウインドウで「カラフル」設定が動作しないバグを修正した。
		BBSウインドウでアスキーアートは折りかえさないようにした。
		BBSウインドウで下端までスクロールしたらオートスクロールONになるようにした。
		オーバーレイウインドウでのAAフォントを「ＭＳ Ｐゴシック」にした。
2.25.2	BBS形式にシンプルモードを搭載した。
		設定ウインドウでエラーが出るバグを修正した。
		ウインドウが画面外へ出てしまったときは強制的に位置をリセットするようにした。
2.25.1	棒読みちゃんへの読み上げリクエスト処理が抜けていたバグを修正した。
		オーバーレイウインドウの「画像を表示」設定が記録されなくなっていたバグを修正した。
		BBSウインドウのオートスクロールを滑らかにした。
2.25	BBSウインドウをブラウザコンポーネントベースに変更した。
		BBSウインドウでレスアンカーをポップアップする機能を搭載した。
		BBSウインドウで画像を表示／保存する機能を搭載した。
2.24.4	タイミングによって、アップデートチェックが失敗することがあるバグを修正した。
2.24.3	メニューの動作がバグっていたので修正した。
2.24.2	メインウインドウでアイコンを使うようにした。
2.24.1	スレ一覧ページからの戻りで板一覧をリロードするようにした。
		メインウインドウのUIデザインを見直した。
		板の勢いの計算式を改善した。
2.24	画像の表示と保存の設定を分離した。（ダウンロードのみ実行可能）
		オーバーレイウインドウでの、画像の透過率を設定できるようにした。
		オーバーレイウインドウでの、画像の保存フォルダを設定できるようにした。
		オーバーレイウインドウでの、アスキーアートの表示時間と待ちキューサイズを設定できるようにした。
		オーバーレイウインドウで、境界枠の表示に合わせて読み込みスレッドを表示するようにした。
		「P2Pからの全レスを表示する」オプションが働いていなかったバグを修正した。
2.23	P2Pネットワークの動作を改善し、多人数でも適切に動作するようにした。
		スレ指定で実況している場合に自動スレ移行が失敗しにくいようにした。
		モニタするスレを選択するアルゴリズムを変更し、上位のみ選抜されるようにした。
2.22.2	メインウインドウで板の勢いを表示するようにした。
		URL直接指定での書き込みウインドウでエラーが起こるバグを修正した。
		書き込みウインドウでコメント数が更新されるようにした。
		書き込みウインドウのスレッド一覧にはモニタしているもののみ表示するようにした。
2.22.1	直接URL指定でスレが指定されたときに落ちるバグを修正した。
2.22	内部データ構造を全面的に刷新した。
		直接URLを指定しての実況開始に対応した。
		したらばに対応した。（書き込みは未確認。）
		boardlist.xml を読めるようにした。
		スレ指定実況では設定にかかわらずオーバーレイになってしまうバグを修正した。
2.21	p2proxyに対応した。（ただし、p2proxyの書き込み確認機能には未対応。）
		スレ一覧でのフィルタ機能を付けた。
		連投規制の一回目でタイマーが有効にならなかったバグを修正した。
		メインウインドウのデザインを変更した。
		メインウインドウのスレ一覧ロード処理を改善した。
2.20.1	スレ指定実況時の移行方式を改善し、類似スレが乱立している状況でコメント受信が止まる問題に対処した。
		BBSウインドウで実況すると、2回目以降はエラーになるバグに対処した。
		オーバーレイウインドウを移動・リサイズしているときに枠を表示するようにした。
2.20	BBS実況とバルーン実況では、レスをウインドウ幅で折り返すようにした。
		オーバーレイウインドウのX座標が負の領域で正しく動作しなかったバグを修正した。
		わいわいKakikoに対応した。
2.19.5	オーバーレイ実況での画像URLの複数読み込み禁止期間を30分に延ばした。
		試験的に、BBS実況で「棒読みちゃん」に対応した。
2.19.4	BBSウインドウのカラフル設定を保存するようにした。
		BBSウインドウの位置を保存するようにした。
		書き込みウインドウのレイアウトを改善した。
		書き込みウインドウの不活性時にサイズが正しく保存されないバグを修正した。
		書き込みに失敗すると回復できないバグを修正した。
		書き込みウインドウは不活性化時に半透明になるようにした。
		オーバーレイウインドウでのレス溢れ設定の規定値を「全て破棄」にした。
		実況の勢いをモニタしている外部サイトを簡単に参照できるようにした。
2.19.3	設定ダイアログでエラーが発生していたバグを修正した。
2.19.2	スレ指定した場合は常に1スレしかモニタしないようにした。
		類似レスの縮小をディフォルトでONにした。
		アップデータでテンポラリディレクトリを削除するようにした。
		アップデート終了後、Nicortを再起動するようにした。
		オーバーレイウインドウ起動時のスレッド起動順序を安全にした。
2.19.1	オーバーレイウインドウが表示されないバグを修正した。
		タスクトレイの「終了」メニューを選んでも終了しないバグを修正した。
2.19	自動アップデータを組み込んだ。
2.18.1	画像保存フォルダが存在しない場合、起動時にエラーが発生するバグを修正した。
		オーバーレイウインドウが最初に表示されるときに画面に描画されていなかったバグを修正した。
2.18	メインウインドウの位置サイズを保存するようにした。
		投稿ウインドウの位置サイズを記憶するようにした。
		画像フォルダを一定期間経過後にごみ箱移動か削除できるようにした。
2.17	ニコニコスタイルでの描画処理をチューニングしてコマ落ちを減らした。
		マルチコア環境で動作している場合、描画スレッドの優先度を最高に設定するようにした。
		類似レスとして判定された場合にバッファとして消費するメモリ量を減らした。
		吸着先ウインドウが最小化すると一緒にオーバーレイウインドウも消えていたバグを修正した。
		フロースタイルを廃止した。マップスタイルの名称を「バブル」にした。
2.16.0	http://rock.s54.xrea.com/2chmenu.html をバックアップに使うようにした。(nicort.exe.configに指定がないときのみ。)
		特定スレを指定して実況を開始したときは、勢いに関係なく当初のスレに似た名前のスレを自動的に選択するようにした。
		BBSウインドウのフォント設定を永続化するようにした。
		オーバーレイウインドウの位置がずれるバグを修正した。
2.15.0	ウインドウ吸着時、可能であれば子ウインドウに吸着するようにした。
		バルーンウインドウでレスの下部に余白が作られていたバグを修正した。
		BBSウインドウのディフォルトフォントをIPAモナーPゴシックに変更した。
		オーバーレイウインドウのサイズ変更では位置がセーブされていなかったバグを修正した。
2.14.4	オーバーレイウインドウのアニメーションスレッドが異常終了していたバグを修正した。
		オーバーレイウインドウに使うバッファの取り方を戻したのを戻した。
2.14.3	オーバーレイウインドウに使うバッファの取り方を戻してみた。
		レスの空白行スキップ処理が間違っていたバグを修正した。
		HTTP Rangeヘッダが異常に長くなるバグを修正した。
		BBSウインドウのオートスクロールが上手く動作しなくなるバグを修正した。
2.14.2	画像表示位置として右上が選択できないバグを修正した。
		オーバーレイウインドウを閉じるときにオブジェクトがリークするバグを修正した。
2.14.1	遅延時間計算アルゴリズムが真逆になっていたバグを修正した。
		レスを指定してBBS実況できるようにした。
2.14	アスキーアートが含まれている場合は背景に切り出すようにした。
		オーバーレイ実況の描画処理をチューニングして高速かつ滑らかにした。
		オーバーレイ実況時のフォントレンダリングパラメタを変更して、縁取りを綺麗にした。
		オーバーレイ実況における画像の表示位置を上下左右四隅中央から選べるようにした。
		オーバーレイウインドウのサイズ変更が滑らかに行えるようにした。
		遅延時間計算アルゴリズムを改善して、より素早く受信状況に対応するようにした。
		BBS実況ウインドウを復活させた。
		レスの受信時に不要な整形を行っていたバグを修正した。
		ピア間プロトコルを改訂して、より効率的に動作するようにした。
		透過PNGなどを表示するときに背景がクリアされていなかったバグを修正した。
		レスの最大行数が作用するレベルを引き上げて、画像URLの抽出などが広範囲に効くようにした。
		板名をHTMLデコードしていなかったバグを修正した。
2.13.5	キャッシュのヒット判定を変更して、レスの表示を改善した。
2.13.4	ちゃっとちゃんねるに書き込めるようにした。
		スレタイトルがHTMLデコードされていなかったバグを修正した。
		書き込みウインドウのUIを隙間なく配置した。
		MeCabのアクセス違反で落ちるバグに対処した。
		MeCabのDLLの有無でMeCabかBi-gramかを切り替えるようにした。
		複数行の書き込みが正しく行えないバグを修正した。
2.13.3	ニコニコスタイルで類似レスの簡約が動作しないバグを修正した。
		Content-Lengthがないときの読み込みができないバグを修正した。
		ちゃっとちゃんねるに再対応した。
		フィルタキーワードがないときは全部表示するようにした。
		吸着先のウインドウが最小化したら分離するようにした。
		bbsmenu.htmlに対応した。
2.13.2	書き込みウインドウのスレッドリストを更新するようにした。
		書き込みウインドウのショートカットキーが動作するようにした。
		書き込みウインドウがアクティブでないとき小さくするようにした。
		設定ウインドウが落ちるバグを直した。
		オーバーレイウインドウは最小化できないようにした。
2.13.1	Winodws Aero の判定を自動的に行うようにした。
		書き込みウインドウを装備した。
		書き込み動作を安定化した。
		連投規制の場合はUIで確認できるようにした。
2.13	フォントを変更できるようにした。
2.12.8	ウインドウサイズ変更がしにくかったバグを修正した。
		ウインドウ吸着時の位置をサイズ相対にした。
		BBSmenuのURLを変更可能にした。
		バルーンをクリックで消えるようにした。
2.12.7	クッキーの処理を現仕様に合わせた。
		アンカーを消す機能を実装した。
		ニコニコスタイルでの単行化を実装した。
2.12.6	メインウインドウのフィルタキーワードが指定された順に板をリストアップするようにした。
		クラッシュログの一部がおかしかったのを修正した。
		電子署名前のプログラムと通信するときは改行文字列を柔軟に扱うようにした。
		起動時にロビーサーバと通信できないと落ちるバグを修正した。
		2chプロバイダが同じ板を複数返していたバグを修正した。
2.12.5	「常に前面に割り込む」が有効なときのオーバーヘッドを低減した。
		ウインドウ接着機能を実装した。（オーバーレイウインドウの背景ウインドウに張り付く。）
		境界線が、境界の延長線上でも描画されていたバグを修正した。
		電子署名を行い、プログラムが不完全な状態で実行されないようにした。
		MeCabによる形態素解析の代わりにBi-gramによる類似レス判定に切り替えた。
2.12.4	ウインドウ状態をリストアしたときに最前面に来るようにした。
		接続初期に切断された場合に落ちるバグを修正した。
		最終例外ハンドラを追加し、ログを残すようにした。
		ボード一覧を取得できなかったときに落ちるバグを修正した。
		ディレイインジケータの表示を設定できるようにした。
		「常に全面に割り込む」の初期値を設定できるようにした。
		フォントレンダリングの品質パラメタを設定できるようにした。
2.12.3	実況中にメインウインドウが最小化されたときはタスクトレイに収納するようにした。
		タスクトレイアイコンから実況ウインドウを閉じられるようにした。
		オーバーレイウインドウはタスクバーに表示しないようにした。
		Windows XP 環境でバルーンウインドウの再描画が失敗していたのを修正した。
		バルーンウインドウの時間経過制御が動作していなかったのを修正した。
2.12.2	ニコニコスタイルで描画座標系が変だったのを修正した。
		バルーンウインドウの表示に関する設定項目を増やした。
		バルーンウインドウのタイマーの使い方を変更した。
		バルーンウインドウの位置をローカルに覚えるようにした。
2.12.1	1000レス到達が正常に検知できていなかったバグを修正した。
		マウスカーソルが遠いときコントロールボックスアイコンを縮小するようにした。
		バルーンでもスレを指定できるようにした。
		バルーンウインドウを高速化した。
2.12.0	# Development Release
		オーバーレイ実況用のウインドウシステムを搭載した。
		オーバーレイ実況時、レスのダブルクリックで終了してしまうバグを修正した。
		コントロールボックスをただの箱からアイコンに変更した。
		設定ウインドウを作成した。
		バルーン実況モードを搭載した。
		BBSスタイルの実況モードを削除した。
		２ちゃんねるサーバから全体再送信に対応し受信を安定化した。
		ちゃっとちゃんねるに暫定対応した。
		通信プロトコルでレスの識別にURIを用いるようにした。
		メインウインドウのフィルタキーワードはORになるようにした。
2.11.7	フォントサイズの設定メニューを改善し、現在地を表示し、絶対値で指定できるようにした。
		レス間隔が、ウインドウ境界にも作用していた問題を修正した。
		レスの破棄設定メニューが現在状態を反映していなかったバグを修正した。
		Windows Aero 用描画のとき、画像をアルファブレンドしてフェード表示するようにした。
		画像の表示時間を8秒から5秒に変更した。
		(2.11.7-2) boardlist.xml を無効化した。
2.11.6	遅延時間が短いときにレスが消失するバグを解消した。
		P2P参加時にレスの取得タイミングを分散させるようにした。
		邪魔なメッセージを抑制した。
2.11.5	レス遅延時間推定アルゴリズムでサンプルをフィルタするパラメタが間違っていたのを修正した。
		２ちゃんねるサーバとの時刻差推定アルゴリズムを修正した。
		Weak ETag を処理して余計な要求をしないようにした。
		遅延時間を定期的に表示していたのを取りやめた。
2.11.4	レス遅延時間推定アルゴリズムを見直し、安定してレスが再生されるようにした。
2.11.3	Windows Aero (Vista) 環境での実況ウインドウ半透明描画を実装した（マップスタイル）。
		マップスタイルとキュースタイルで文字色がランダムにならないバグを修正した。
		フィルタキーワードを保存するようにした。
2.11.2	マルチコア環境でのみ描画スレッドの優先度を引き上げるようにした。
		滑らか機能による負荷の程度を調整できるようにした。
		メニューにチェックマークが反映されないバグを修正した。
2.11.1	排他制御に関するバグを修正した。
		ニコニコスタイル時のロックの粒度を見直して並列度を高めた。
2.11.0	滑らかに描画するモードを追加した。
		UI周りの内部構造を見直した。
2.10.5	スレッドの差分読み込み処理を書き直して安定化させた。
2.10.4	サーバのブースト指示を、25ピア接続時に30秒間隔になるようにした。
		Preferencesのディフォルト値を変えた。
		ニコニコスタイルのレス速度がウインドウサイズに依存しないようにした。
		四隅でウインドウサイズを変更するときのコーナー判定域を拡大した。
		実況ウインドウのメニューにパラメタ調整項目を追加した。
2.10.3	サーバで例外が発生し、まともに中継できていなかったバグを修正した。
		コメントの流れる速度を設定可能にした。（preferences.xmlを直接編集する。）
		複数ピアがサーバに接続した場合、各ピアに取得処理を分散させるようにした。
		ニコニコスタイルの場合、コメントの表示位置の計算を実時間ベースにした。
		現在のレス取得間隔を実況ウインドウに表示するようにした。
		ニコニコスタイルで間隔を広げた場合に描画が縦に延びていたのを修正した。
		レス描画の間隔設定を保存するようにした。
2.10.2	メインウインドウの代表スレ読み込み時のマルチスレッド処理に関するバグを修正した。
2.10.1	メインウインドウの代表スレ読み込みを安定化させた。
		バージョンの付け方を <major>.<minor>.<build> にした。
		<major> は通信プロトコルを大きく変更した場合に刷新する。
		<minor> は機能を追加したり大きく改善した場合に刷新する。
		<build> はバグフィックスや小さなユーザビリティの改善で刷新する。
		リリース時は、少なくとも build を刷新する。
2.10	メインウインドウの板一覧で文字色が反転しないバグを解消した。
		板一覧を２ちゃんねるから動的に取得するようにした。
		板一覧に対して文字列によるフィルタを掛けられるようにした。
		実況ウインドウの四隅にドラッグコーナーを用意した。
		実況ウインドウのドラッグコーナーは普段隠れているようにした。
		実況ウインドウの境界枠はマウスが離れているとき隠れているようにした。
2.9d	BBS形式の実況ウインドウを見やすくした。
2.9c	２ちゃんねるの新しい書き込み仕様「きりたんぽ」に対応した。
		nicort.exe のアセンブリバージョンが2.9になっていなかったので修正した。
2.9b	BBS表示で文字色、背景色の指定を可能にした。
		BBS表示でオートスクロールを明示的に有効化／無効化できるようにした。
		BBS表示でＡＡが正常に表示されるようにした（旧版からP2Pで来たデータは未対応）。
		BBS表示で文字色をランダムにできるようにした。
2.9		BBSスタイルの表示ウインドウをβ実装した。
2.8d	画像の保存フォルダを日付で分けるようにした。
		ニコニコスタイルでもMeCabを利用するようにした。
		MeCabの類似判定基準をトークン一致75%に引き下げた。
		ロード済み画像キューが長い場合は画像表示時間を短くするようにした。
		レスの文字色をランダムで変化できるようにした。
2.8c	使い勝手のための調整を行った。
2.8b	ニコニコスタイルでの画像ロードに対応した。（2.8では未対応だった。）
		画像表示状態でのCPU負荷が高くなっていた問題を修正した。
		画像の表示サイズを480x480に制限した（出力画像キャッシュのため）。
		同一URLを 1 分間以内に発見した場合は画像をロードしないようにした。
2.8		画像ロード機能を追加した。
2.7e	（WPF試験リリース）
		画面上に表示するレス数を抑制する機能を追加した。
		メニューを整理した。
2.7d	（WPF試験リリース）
		P2Pから取得したレスがフィルタされすぎていたバグを修正した。
		「ニコニコ」スタイルでメッセージが重なる問題を修正した。
2.7c	（WPF試験リリース）
		「常に最前面に割り込む」機能を搭載した。
		レスの書き込み時に、入力テキスト描画が遅れていた問題を修正した。
2.7b	（WPF試験リリース）
		レス固定実況がバグっていたのを修正した。
		マップとキューのスタイルで、MeCabを利用して類似レスを簡約する機能を実装した。
		↑（追加修正）MeCab使用の解除ができなかったバグを修正した。
2.7		（WPF試験リリース）
		メインウインドウのUIベースを Windows Presentation Framework に変更した。
		スレ固定実況に再対応した。
2.6d	ウインドウ位置や表示スタイルなどを保存し、次回実行時にも反映するように改善した。
2.6c	公式サーバへの定期登録更新スレッドがタイムアウト時に落ちていたのを修正した。
		正常に終了してもサーバ側とシャットダウン手順を踏まない場合があるバグを修正した。
2.6b	HTTPの差分コンテンツに対する扱いがおざなりになっていたのを修正した。
		活性スレに早く移動するため、実況開始後一定時間は短周期で勢いを監視するように変更した。
		初期登録の実況板を増強した。
2.6		レス番号のインクリメント処理が最適化でおかしくなっていたバグを修正した。
		アップデートされたバージョンがあるかどうかをチェックするようにした。
		公開サーバに最初に接続したピアは 3 秒間隔でレスを取得するようにした。
		（最初に接続したピアがネットワークから離脱した場合は、別のピアを加速する。）
2.5c	IPv6アドレスを公開していたのを修正した。
2.5b	リリースビルドでP2P接続がタイムアウトになり不安定になっていたバグを修正した。
		サーバノードの場合は定期的に公式サイトの登録情報を更新するようにした。
		P2PでIPアドレスを扱う方法を改善した。
		P2P接続を終了するときの"BYE"手順が終了する前に切断してしまうバグを修正した。
		プログラムファイルにアイコンを設定した。(http://www.mouserunner.com/Spheres_Cell.html)
2.5		すでに落ちたサーバがあるときの動作を安定させた。
		メインウインドウを新しくした。
		boardlist.xml から板一覧を読み込むようにした。
		nicort.exe.config にて文字色の指定ができるようにした。
2.4f	ノード未接続の状態で安定しすぎて、P2P接続が復帰しない不都合を修正した。
2.4e	どのノードとも接続していない状況での動作を安定させた。
		「マップ」「キュー」の表示について描画タイミングを効率化した。
		ディフォルトの表示形式を「キュー」に変更した。
		HTTPリクエスト時のタイムアウトを5秒に設定した。
		「マップ」「キュー」の表示時に排他制御が抜けていたバグを修正した。
2.4d	ディレイの計算方法を改善した。
		トリップ付きのレスの解析に不都合があったのを修正した。
2.4c	スレッドの追尾対象選択アルゴリズムのバグを修正した。
		スレッドの差分読み込み時に content-range を使用するようにした。
2.4b	文字の縁取りの厚みをフォントサイズに応じて可変にした。
2.4		サーバホスト用に hosting.exe を追加した。
		実況中のレス表示方式に「マップ」と「キュー」を追加した。
		ディフォルトのレス表示方式をマップに変更した。
		<<P2P NETWORK DOWN>> の表示がうざったかったので消した。
2.3b	relay2ch.exe をサーバとして起動できるように改造した。
2.3		http://www7.atpages.jp/nicort/ を公式サイトとしてオープンした。
		P2Pサーバノードとして開始した場合には上記サイトに登録するようにした。
		P2Pノードキャッシュが空の状態であれば上記サイトから定期的に取ってくるようにした。
2.2d	ウインドウの最小サイズ制限をより小さくした。
		フォントサイズの指定を絶対値ではなく相対値で指定できるようにした。
2.2c	サーバモードで<P2P DISCOVERING>が頻発する現象に対策した。
2.2b	サーバ動作の開始バグを修正した。
2.2		セッションの区別(Passive,Active)を逆にしていたバグを修正した。
		簡単なレポート機能をつけた。
		ノード情報をadvertiseスレッドとmaintainスレッドを分離した。
2.1		P2Pノードとの通信プロトコルに正規終了手順を実装した。
		ウインドウが小さいと区二以上周するバグを修正した（というか小さくならないようにした）。
		ディレイの計算式を、過去256レスの平均遅延時間×２にした。
		レスの密度を調整する機能を搭載した。
		レスの重複をなくした。
		レス書き込み機能を搭載した。
		最長レス読み込み間隔を20秒にした。
2.0		ノードから受信したときに生成するキャッシュのタグ付けミスによる、
		新着レスがキッシュ済みと誤認するバグを修正した。
		遅延時間の動的最適化を実装した。（画面で棒で表示する。）
		スレッドが1000越えしたときに即時に別のスレッドへ移行するようにした。
1.4		P2P接続を実装した。
1.3		フォントサイズを選択できるようにした。
		スレッド自動移行機能を搭載した。
４版	スレッド一覧ウインドウを自動的に最小化するようにした。
		オーバーレイウインドウの位置を、起動中は覚えておくようにした。
		オーバーレイウインドウが閉じたときにスレッド一覧ウインドウが元に戻るようにした。
		オーバーレイウインドウが閉じたときにスレッド一覧をリロードするようにした。
３版	サーバと日時がずれている場合に挙動がおかしくならないようにした。
２版	コメントの表示ビットマップをキャッシュするようにした。
初版	公開した。
